# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "pkgcruft"
version = "0.0.18"
authors = ["Tim Harder <radhermit@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "QA library and tools based on pkgcraft"
homepage = "https://github.com/pkgcraft/pkgcraft/tree/main/crates/pkgcruft"
readme = "README.md"
license = "MIT"
repository = "https://github.com/pkgcraft/pkgcraft/tree/main/crates/pkgcruft"

[package.metadata.binstall]
pkg-url = "{ repo }/releases/download/{ name }-{ version }/{ name }-{ version }-{ target }{ archive-suffix }"
bin-dir = "{ bin }{ binary-ext }"
pkg-fmt = "txz"
disabled-strategies = [
    "quick-install",
    "compile",
]

[features]
test = [
    "dep:assert_cmd",
    "dep:glob",
    "pkgcraft/test",
]

[lib]
name = "pkgcruft"
path = "src/lib.rs"

[[bin]]
name = "pkgcruft"
path = "src/bin/main.rs"

[[test]]
name = "pkgcruft"
path = "tests/pkgcruft.rs"

[[bench]]
name = "bench"
path = "benches/bench.rs"
harness = false

[[bench]]
name = "check"
path = "benches/check.rs"

[[bench]]
name = "scan"
path = "benches/scan.rs"

[dependencies.anstream]
version = "0.6.21"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.assert_cmd]
version = "2.1.1"
optional = true

[dependencies.camino]
version = "1.2.1"

[dependencies.clap]
version = "4.5.53"
features = [
    "derive",
    "string",
]

[dependencies.clap-verbosity-flag]
version = "3.0.4"

[dependencies.clap_complete]
version = "4.5.61"

[dependencies.colorchoice-clap]
version = "1.0.7"

[dependencies.crossbeam-channel]
version = "0.5.15"

[dependencies.crossbeam-utils]
version = "0.8.21"

[dependencies.dashmap]
version = "6.1.0"
features = [
    "rayon",
    "serde",
]

[dependencies.glob]
version = "0.3.3"
optional = true

[dependencies.indexmap]
version = "2.12.1"
features = [
    "rayon",
    "serde",
]

[dependencies.indoc]
version = "2.0.7"

[dependencies.inventory]
version = "0.3.21"

[dependencies.itertools]
version = "0.14.0"

[dependencies.num_cpus]
version = "1.17.0"

[dependencies.owo-colors]
version = "4.2.3"

[dependencies.pkgcraft]
version = "0.0.31"

[dependencies.rayon]
version = "1.11.0"

[dependencies.regex]
version = "1.12.2"

[dependencies.scallop]
version = "0.0.30"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.strfmt]
version = "0.2.5"

[dependencies.strum]
version = "0.27.2"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tracing]
version = "0.1.43"

[dependencies.tracing-log]
version = "0.2.0"

[dependencies.tracing-subscriber]
version = "0.3.22"

[dependencies.tree-sitter]
version = "0.26.2"

[dependencies.url]
version = "2.5.7"

[dependencies.walkdir]
version = "2.5.0"

[dev-dependencies.assert_cmd]
version = "2.1.1"

[dev-dependencies.criterion]
version = "0.8"

[dev-dependencies.glob]
version = "0.3.3"

[dev-dependencies.pkgcraft]
version = "0.0.31"
features = ["test"]

[dev-dependencies.predicates]
version = "3.1.3"

[dev-dependencies.pretty_assertions]
version = "1.4.1"

[dev-dependencies.tempfile]
version = "3.23.0"

[dev-dependencies.tracing-test]
version = "0.2.5"

[lints.rust]
unreachable_pub = "warn"
